[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RM: xerces23 -- RoM; superseded by xerces25 or xerces26

Jeroen van Wolffelaar <jeroen@wolffelaar.nl> wrote:

>> Please remove xerces23 and its associated binary packages
>> (libxerces23, libxercesicu23, libxerces23-dev, libxerces23-doc).  I
>> have uploaded a newer libxml-xerces-perl, so xerces23 no longer has
>> any reverse dependencies and can be safely removed.  FWIW, xerces25
>> and xerces26 will most likely both have to stick around for now.
> Hrmz, and what about xerces21, currently still in unstable and testing?

There are two packages (gdal and qgis) that depend upon xerces21.
Bugs have been filed against both (301710/301650 and 301709), and both
maintainers have already responded.  (qgis depends upon gdal.  The
qgis maintainer said he would upload as soon as gdal was uploaded.
The gdal maintainer says he is preparing a new package with a few
other fixes and will have it ready this week.)  As soon as those two
packages are updated, a removal request will be filed for xerces21 as
well.  This way, only xerces25 and xerces26 will be in unstable.  If,
by some chance, xalan 1.9 is packaged and a new version of the
XML::Xerces perl module that uses 2.6.0 comes out in time, then we
could remove xerces25 as well, but Steve seems okay with having
xerces25 and xerces26 both in sarge as long as there aren't any
additional versions.  I was planning on filing the removal request
myself even though I'm not actually the xerces21 maintainer (since I
am maintaining the newer versions)...


Jay Berkenbilt <qjb@debian.org>

Reply to: